# Enum Class ResizeFactor

java.lang.Object
java.lang.Enum<ResizeFactor>
org.apache.datasketches.common.ResizeFactor

All Implemented Interfaces:
  `Serializable, Comparable<ResizeFactor>, Constable`

public enum ResizeFactor extends Enum<ResizeFactor>
For the Families that accept this configuration parameter, it controls the size multiple that affects how fast the internal cache grows, when more space is required. See Resize Factor

Author:
  Lee Rhodes

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`X1`
Do not resize.
`X2`
Resize factor is 2.
`X4`
Resize factor is 4.
`X8`
Resize factor is 8.

## Method Summary

Modifier and Type
Method
Description
`static ResizeFactor`
`getRF(int lg)`
Returns the Resize Factor given the Log-base 2 of the Resize Factor
`int`
`getValue()`
Returns the Resize Factor
`int`
`lg()`
Returns the Log-base 2 of the Resize Factor
`static ResizeFactor`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResizeFactor[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### X1

public static final ResizeFactor X1
Do not resize. Sketch will be configured to full size.

### X2

public static final ResizeFactor X2
Resize factor is 2.

### X4

public static final ResizeFactor X4
Resize factor is 4.

### X8

public static final ResizeFactor X8
Resize factor is 8.

## Method Details

### values

public static ResizeFactor[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResizeFactor valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### lg

public int lg()
Returns the Log-base 2 of the Resize Factor

Returns:
  the Log-base 2 of the Resize Factor

### getRF

public static ResizeFactor getRF(int lg)
Returns the Resize Factor given the Log-base 2 of the Resize Factor

Parameters:
  `lg` - a value between zero and 3, inclusive.
Returns:
  the Resize Factor given the Log-base 2 of the Resize Factor

### getValue

public int getValue()
Returns the Resize Factor

Returns:
  the Resize Factor